<?
if (isset($_GET['online'])) {
  $system['title'] = 'Сейчас на сайте';
  $WHERE = ' WHERE `date_last` > ' . (time() - 1800);
  $ORDER = ' `date_last` ';
  $LINK = 'online';
} elseif (isset($_GET['garant'])) {
  $system['title'] = 'Исполнители нашего сайта';
  $WHERE = ' WHERE `cash` = "1" ';
  $ORDER = ' `rating` ';
  $LINK = '&amp;garant';
} else {
  $system['title'] = 'Список пользователей';
  $WHERE = '';
  $ORDER = ' `id` ';
  $LINK = 'list';
}

require SYS . 'header.php';

?><div class="home_menu">
<? require '_src/search.php'; ?>
</div><?

$k_post = $sql -> selectCount("SELECT COUNT(*) FROM `users` $WHERE");

if ($k_post == 0) {
  ?>
  <div class="alert" style="margin: 2px;">Список пользователей пуст</div>
  <?
} else {
  $k_page = k_page($k_post, $system['page_str']);
  $page = page($k_page);
  $start =  $system['page_str'] * $page -  $system['page_str'];

  $array = $sql -> select("SELECT * FROM `users` $WHERE ORDER BY $ORDER DESC LIMIT $start, $system[page_str]");

  foreach ($array AS $anketa) {
    $num++;

?>
    <div class="<?= ($num % 2 ? "nav1" : "nav2")?>">
      <?= avatar($anketa['id'], 1)?> <?= login($anketa['id'], 1) ;
      if($anketa['level']==2)echo '[<font color="blue">Мод</font>]';
      if($anketa['level']>2)echo '[<font color="blue">Адм</font>]';
?>

<?
if($anketa['rating']>=0 && $anketa['rating']<=10){echo '<font color="green"><b>Юзер</b></font>';}

if($anketa['rating']>=11 && $anketa['rating']<=50){echo '<font color="OrangeRed"><b>VIP</b></font>';}

if($anketa['rating']>=51 && $anketa['rating']<=100){echo '<font color="#FF8C00"><b>PRO</b></font>';}

if($anketa['rating']>=101 && $anketa['rating']<=99999999999){echo '<font color="#BDB76B"><b>MASTER</b></font>';}

      ?> <br />
      <?= (!isset($_GET['online']) ? '<span class="ank_n">Регистрация:</span> <span class="ank_d">' . vremja($anketa['date_reg']) . '</span><br />' : '')?>
      <span class="ank_n">Последняя активность:</span> <span class="ank_d"><?= vremja($anketa['date_last'])?></span><br />
      <span class="ank_n">Рейтинг:</span> <span class="ank_d">(<?= $anketa['rating']/100?>)</span><br />
 <?if($user['level']>=3){?><span class="ank_n">Смотрит страницу: </span> <span class="ank_d"><a href='<?= $anketa['url_city']?>'><?= $anketa['url_title']?></a></span><br /><?}?>
  <? if ($level > 3) { ?>
  <span class="ank_n"><?= __('IP адрес')?>:</span> <span class="ank_d"><?= long2ip($anketa['ip'])?></span><br />
<span class="ank_n"><?= __('Браузер')?>:</span> <span class="ank_d"><?= $anketa['ua']?></span><br />
  <? } ?>  
  </div>
    <?
  }
  
if($level > 2){
?>
<div class="foot"><a href="/?func=online.gosti">Гости</a></div>
<?
}
  if ($k_page > 1) { 
    str( '/'.$LINK . '.html/', $k_page, $page);
  }
}
?>